.\"	$NetBSD: uvideo.4,v 1.4 2008/09/19 08:30:35 wiz Exp $
.\"
.\" Copyright (c) 2008 Patrick Mahoney
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 21, 2008
.Dt UVIDEO 4
.Os
.Sh NAME
.Nm uvideo
.Nd USB video device driver
.Sh SYNOPSIS
.Cd "uvideo* at uhub?"
.Cd "video* at videobus?"
.Sh DESCRIPTION
The
.Nm
driver provides support for
.Tn USB
video class devices.
.Pp
A
.Tn USB
video device consists of a number of components.
Every device has one control interface.
Each device optionally provides streaming interfaces (input or output).
.Sh SEE ALSO
The USB Specifications can be found at:
.Dv http://www.usb.org/developers/docs.html
.Pp
.Xr video 4 ,
.Xr video 9
.Sh AUTHORS
.An Patrick Mahoney Aq pat@polycrystal.org
.Sh BUGS
Does not support all of UVC spec.
Only supports the one streaming input interface.
Does not support the interrupt endpoint for some controls.
.Pp
Exports the Video4Linux2 API via
.Xr video 9 ,
and V4L2 lacks support for some UVC features such as still images.
